/*
** Module   : WriteableType.java
** Abstract : An interface for holding the DATA-TYPE attribute related methods
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- -----------------------Description------------------------
** 001 VMN 20130217 Created initial version.
*/

package com.goldencode.p2j.util;

public interface WriteableType extends Typable
{
   /**
    * Set the <code>name</code> attribute of handle.
    *
    * @param dataType
    *        The DATA-TYPE to be set.
    */
   public void setDataType(String dataType);

   /**
    * Set the <code>name</code> attribute of handle.
    *
    * @param dataType
    *        The DATA-TYPE to be set.
    */
   public void setDataType(character dataType);
}
